WordPress

WordPress a annoncé aujourd’hui son intention de traiter la nouvelle technologie de suivi FLoC de Google comme un problème de sécurité et de la bloquer par défaut sur les sites Web WordPress.

Depuis un certain temps, les navigateurs bloquent de plus en plus les cookies de navigateur tiers [1, 2, 3] Utilisé par les annonceurs pour la publicité ciblée par centres d’intérêt.

En réponse, Google a introduit une nouvelle technologie de suivi des publicités appelée Federated Learning of Cohorts (FLoC), qui utilise un navigateur Web pour engager anonymement les utilisateurs dans des domaines d’intérêt ou des comportements en fonction de la façon dont ils surfent sur Internet.

Après que Google ait commencé à tester FLoC sur Google Chrome ce mois-ci, les défenseurs de la confidentialité ont convenu que la mise en œuvre de FLoC de Google ne faisait que remplacer un risque de confidentialité par un autre.

« FLoC est censé être une nouvelle façon d’amener votre navigateur à effectuer le profilage que les traqueurs tiers ont eux-mêmes fait: dans ce cas, votre activité de navigation la plus récente est résumée dans une étiquette comportementale, puis partagée avec les sites Web et les annonceurs. » « 

« La technologie évite les risques de confidentialité des cookies tiers, mais en crée de nouveaux. Elle peut également exacerber nombre des pires problèmes de publicité comportementale, y compris la discrimination et le ciblage prédateur », a déclaré l’Electronic Frontier Foundation (EFF) dans un récent communiqué. entrée de blog.

Depuis lors, d’autres développeurs de navigateurs de confidentialité et de moteurs de recherche tels que Brave Browser, DuckDuckGo et Vivaldi ont tous Suppression de FLoC de votre logiciel ou des outils créés pour le bloquer.

WordPress prévoit de bloquer FLoC

Dans une nouvelle annonce aujourd’hui, WordPress déclare qu’il considère la technologie FLoC de Google comme un problème de sécurité et qu’il commencera à la bloquer dans les prochaines versions.

«WordPress alimente environ 41% du Web – et cette communauté peut utiliser quatre lignes de code pour lutter contre le racisme, le sexisme, la discrimination contre les LGBTQ + et la discrimination contre les personnes atteintes de maladie mentale», dit-il. WordPress.

WordPress prévoit de désactiver FLoC en utilisant les quatre lignes de code suivantes. Cela amènera la plate-forme de blog à générer un en-tête de requête HTTP et à indiquer au navigateur de désactiver FLoC pour le site.

function disable_floc($headers) {
    $headers['Permissions-Policy'] = 'interest-cohort=()';
    return $headers;
  }
 
add_filter('wp_headers', 'disable_floc');

WordPress explique que certains administrateurs voudront probablement activer cette technologie, mais ces administrateurs auront probablement l’expertise technique pour remplacer le code ci-dessus. WordPress a également déclaré qu’il pourrait ajouter un paramètre que les administrateurs peuvent utiliser pour contrôler si FLoC est autorisé.

Cependant, WordPress craint que ceux qui ne connaissent pas cette nouvelle technologie de suivi la choisissent automatiquement sans comprendre pleinement ce qu’elle implique. Par conséquent, il est dans l’intérêt de ces utilisateurs que WordPress désactive automatiquement la technologie.

«Lorsque les intérêts des parties prenantes sont pris en compte, les besoins des administrateurs de sites Web qui ne sont même pas conscients du fait que c’est quelque chose qu’ils doivent atténuer – et les intérêts des utilisateurs et des visiteurs de ces sites Web – sont simplement plus convaincants», explique WordPress.

WordPress déclare que ce code est prévu pour WordPress 5.8 et devrait être publié en juillet 2021.

Étant donné que FLoC devrait être déployé plus tôt, WordPress envisage de porter ce code vers les versions précédentes pour amplifier l’impact sur les versions actuelles de la plate-forme de blogs.



Source link

Recent Posts